netatalk: FPMoveAndRename.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
FPMoveAndRename.c File Reference
`#include <limits.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/param.h>`
`#include <atalk/compat.h>`
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`

## Data Structures
struct | test460_tree_plan

## Macros
#define | TESTSUITE_NAME_MAX 255
#define | DEEP_TREE_TARGET_COMPONENT_LEN 200
#define | DEEP_TREE_DEFAULT_VOLUME_PREFIX_LEN 26
#define | DEEP_TREE_LEAF_NAME "testfile"

## Functions
STATIC void | test43 ()
STATIC void | test73 ()
STATIC void | test77 ()
STATIC void | test123 ()
STATIC void | test138 ()
STATIC void | test322 ()
STATIC void | test378 ()
static size_t | test460_volume_prefix_len (void)
static int | test460_component_len (const char *name, size_t *len)
static int | test460_tree_plan (const char *toplevel, const char *dst_renamed, const char *leaf_name, struct test460_tree_plan *plan)
STATIC void | test460 ()
void | FPMoveAndRename_test ()

## Macro Definition Documentation

## ◆ DEEP_TREE_DEFAULT_VOLUME_PREFIX_LEN

#define DEEP_TREE_DEFAULT_VOLUME_PREFIX_LEN 26

## ◆ DEEP_TREE_LEAF_NAME

#define DEEP_TREE_LEAF_NAME "testfile"

## ◆ DEEP_TREE_TARGET_COMPONENT_LEN

#define DEEP_TREE_TARGET_COMPONENT_LEN 200

## ◆ TESTSUITE_NAME_MAX

#define TESTSUITE_NAME_MAX 255

## Function Documentation

## ◆ FPMoveAndRename_test()

void FPMoveAndRename_test | ( |  | ) |

## ◆ test123()

STATIC void test123 | ( |  | ) |

## ◆ test138()

STATIC void test138 | ( |  | ) |

## ◆ test322()

STATIC void test322 | ( |  | ) |

## ◆ test378()

STATIC void test378 | ( |  | ) |

## ◆ test43()

STATIC void test43 | ( |  | ) |

## ◆ test460()

STATIC void test460 | ( |  | ) |

## ◆ test460_component_len()

int test460_component_len | ( | const char * | name,
|  | size_t * | len )
| static

## ◆ test460_tree_plan()

int test460_tree_plan | ( | const char * | toplevel,
|  | const char * | dst_renamed,
|  | const char * | leaf_name,
|  | struct test460_tree_plan * | plan )
| static

## ◆ test460_volume_prefix_len()

size_t test460_volume_prefix_len | ( | void |  | ) |
| static

## ◆ test73()

STATIC void test73 | ( |  | ) |

## ◆ test77()

STATIC void test77 | ( |  | ) |